/*
 * Copyright (C) 1995-2012 by 4system Polska Sp. z o.o.
 * All Rights Reserved. v4
 */

componentSLWPanel = function(name)
{
	//inherited	
	this.componentElement = componentElement;
	this.componentElement(name);
	
	this.confirmAnswer = false;
};

componentSLWPanel.prototype = new componentElement();
componentSLWPanel.prototype.type = "componentSLWPanel";

componentSLWPanel.prototype.onBaseCreate = function(obj)
{
	this.captureMouseEvents();
	
	if (this.disabled == true) {
		this.obj.disabled = true;
	}
	if (this.visibleTitle == true) {
		var o = document.getElementById(this.id + "_contentLegend");
		o.style.display = "inline";
	}
};
